head 1.8;
access;
symbols
pkgsrc-2013Q2:1.8.0.28
pkgsrc-2013Q2-base:1.8
pkgsrc-2012Q4:1.8.0.26
pkgsrc-2012Q4-base:1.8
pkgsrc-2011Q4:1.8.0.24
pkgsrc-2011Q4-base:1.8
pkgsrc-2011Q2:1.8.0.22
pkgsrc-2011Q2-base:1.8
pkgsrc-2009Q4:1.8.0.20
pkgsrc-2009Q4-base:1.8
pkgsrc-2008Q4:1.8.0.18
pkgsrc-2008Q4-base:1.8
pkgsrc-2008Q3:1.8.0.16
pkgsrc-2008Q3-base:1.8
cube-native-xorg:1.8.0.14
cube-native-xorg-base:1.8
pkgsrc-2008Q2:1.8.0.12
pkgsrc-2008Q2-base:1.8
pkgsrc-2008Q1:1.8.0.10
pkgsrc-2008Q1-base:1.8
pkgsrc-2007Q4:1.8.0.8
pkgsrc-2007Q4-base:1.8
pkgsrc-2007Q3:1.8.0.6
pkgsrc-2007Q3-base:1.8
pkgsrc-2007Q2:1.8.0.4
pkgsrc-2007Q2-base:1.8
pkgsrc-2007Q1:1.8.0.2
pkgsrc-2007Q1-base:1.8
pkgsrc-2006Q4:1.7.0.2
pkgsrc-2006Q4-base:1.7
pkgsrc-2006Q3:1.6.0.6
pkgsrc-2006Q3-base:1.6
pkgsrc-2006Q2:1.6.0.4
pkgsrc-2006Q2-base:1.6
pkgsrc-2006Q1:1.6.0.2
pkgsrc-2006Q1-base:1.6
pkgsrc-2005Q4:1.5.0.2
pkgsrc-2005Q4-base:1.5
pkgsrc-2005Q3:1.4.0.10
pkgsrc-2005Q3-base:1.4
pkgsrc-2005Q2:1.4.0.8
pkgsrc-2005Q2-base:1.4
pkgsrc-2005Q1:1.4.0.6
pkgsrc-2005Q1-base:1.4
pkgsrc-2004Q4:1.4.0.4
pkgsrc-2004Q4-base:1.4
pkgsrc-2004Q3:1.4.0.2
pkgsrc-2004Q3-base:1.4
pkgsrc-2004Q2:1.3.0.6
pkgsrc-2004Q2-base:1.3
pkgsrc-2004Q1:1.3.0.4
pkgsrc-2004Q1-base:1.3
pkgsrc-2003Q4:1.3.0.2
pkgsrc-2003Q4-base:1.3
netbsd-1-6-1:1.1.0.2
netbsd-1-6-1-base:1.1;
locks; strict;
comment @# @;
1.8
date 2007.02.22.20.35.36; author wiz; state dead;
branches;
next 1.7;
1.7
date 2006.10.02.23.41.01; author rillig; state Exp;
branches;
next 1.6;
1.6
date 2006.02.07.16.30.44; author joerg; state Exp;
branches;
next 1.5;
1.5
date 2005.10.10.09.05.59; author seb; state Exp;
branches;
next 1.4;
1.4
date 2004.08.16.15.21.45; author seb; state Exp;
branches;
next 1.3;
1.3
date 2003.06.12.01.17.32; author seb; state Exp;
branches;
next 1.2;
1.2
date 2003.02.16.20.53.48; author seb; state Exp;
branches;
next 1.1;
1.1
date 2002.12.23.22.27.50; author seb; state Exp;
branches;
next ;
desc
@@
1.8
log
@Update to 2.5:
Version 2.5
* fixed lang.map for php files
* fixed url.lang
* --debug-langdef can be interactive
* nohilite.lang that does not perform any highlighting, but
only formats the input file into the output format (dealing
with output format special characters)
* default.lang to which source-highlight falls back when no
input language is specified or available
* infer script languages
* --header and --footer options do not require --doc option
* --statistics print elapsed time
* highlight cls, dtx and sty LaTeX files
* language definition for Tcl
* language definition for Sql
* language definition for bibtex
* infer language of script files
Version 2.4
* language definition for C# (thanks to Hemmi Shigeru)
* language definition for XML (thanks to Andy Buckley)
* language definition for shell scripts (thanks to Dirk Jagdmann)
* fixed language definition for HTML (tags with numbers are highlighted,
e.g.,
)
* updated language definition for logtalk (thanks to Paulo Moura)
* produces the list of elements of a language definition file
(--show-lang-elements)
* output format definition for HTML where fonts by default are
not fixed width.
* bug fix in url regular expressions
* bug fix with nonsensitive keywords (thanks to Andrea Ercolino)
* improved documentation concerning installation of Boost regex library
Version 2.3
* the regex automaton is printed on the standard output
(instead of the standard error)
* language definition for postscript
* DocBook output format
* fixed bug in .map files with \r characters
* fixed expression for email
Version 2.2
* fixed a bug that sigsegv when more than one input file
is provided
* fixed a compilation error with gcc 4.0
* generate references using ctags
* fixed a bug with LaTeX output of " with some inputencs
and with latexcolor
* handle direct color specifications independently from HTML
* fixed conversion of hexadecimal characters in output language
definitions
* fixed compilation error with regex 1.33
* include man page
* language definition for diff output
* fixed bugs in generation of the regular expression automaton
* extended documentation with some tutorials on input language
definitions
* generate more compact output (reduced size)
* in LaTeX output longtable is not used anymore
@
text
@$NetBSD: patch-ad,v 1.7 2006/10/02 23:41:01 rillig Exp $
--- configure.orig 2005-08-25 16:11:30.000000000 +0200
+++ configure 2006-10-03 01:34:07.000000000 +0200
@@@@ -309,7 +309,7 @@@@ ac_includes_default="\
# include
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar source_highlightdatadir source_highlightdocdir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE ar_to_use CPP EGREP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB BOOST_REGEX_LIB CXXCPP CHROOT_INPUT_DIR TXTC YACC LEX LEXLIB LEX_OUTPUT_ROOT LIBOBJS GENGETOPT NO_GENGETOPT_TRUE NO_GENGETOPT_FALSE DOUBLECPP NO_DOUBLECPP_TRUE NO_DOUBLECPP_FALSE VALGRIND HELP2MAN NO_HELP2MAN_TRUE NO_HELP2MAN_FALSE YFLAGS TAR TEXI2HTML LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar source_highlightdatadir source_highlightdocdir source_highlightdochtmldir CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE ar_to_use CPP EGREP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE RANLIB ac_ct_RANLIB BOOST_REGEX_LIB CXXCPP CHROOT_INPUT_DIR TXTC YACC LEX LEXLIB LEX_OUTPUT_ROOT LIBOBJS GENGETOPT NO_GENGETOPT_TRUE NO_GENGETOPT_FALSE DOUBLECPP NO_DOUBLECPP_TRUE NO_DOUBLECPP_FALSE VALGRIND HELP2MAN NO_HELP2MAN_TRUE NO_HELP2MAN_FALSE YFLAGS TAR TEXI2HTML LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@@@ -970,7 +970,7 @@@@ esac
else
echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
fi
- cd "$ac_popdir"
+ cd $ac_popdir
done
fi
@@@@ -1761,8 +1761,10 @@@@ am__tar='${AMTAR} chof - "$$tardir"'; am
+
source_highlightdatadir=$datadir/source-highlight
source_highlightdocdir=$datadir/doc/source-highlight
+source_highlightdochtmldir=$datadir/doc/html/source-highlight
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
@@@@ -2332,7 +2334,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2390,7 +2393,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2506,7 +2510,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2560,7 +2565,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2605,7 +2611,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2649,7 +2656,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -2893,7 +2901,7 @@@@ cat <conftest.c
int conftest(void){return 0;}
EOF
${CXX} -xar -o conftest.a conftest.c >/dev/null 2>&1
-if test $? == 0; then
+if test $? = 0; then
ar_to_use="\$(CXX) -xar -o"
else
ar_to_use="\$(AR) cru"
@@@@ -2978,7 +2986,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3292,7 +3301,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3462,7 +3472,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3527,7 +3538,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3594,7 +3606,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3743,7 +3756,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3928,7 +3942,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -3997,7 +4012,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4181,7 +4197,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4239,7 +4256,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4310,7 +4328,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4354,7 +4373,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4773,7 +4793,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4854,7 +4875,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -4934,7 +4956,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5014,7 +5037,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5090,7 +5114,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5169,7 +5194,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5195,7 +5221,8 @@@@ fi
echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Lib'}'`" >&5
echo "${ECHO_T}`eval echo '${'$as_ac_Lib'}'`" >&6
if test `eval echo '${'$as_ac_Lib'}'` = yes; then
- BOOST_REGEX_LIB=$ax_lib break
+ BOOST_REGEX_LIB=$ax_lib
+ break
fi
done
@@@@ -5467,7 +5494,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5742,7 +5770,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5808,7 +5837,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5897,7 +5927,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -5969,7 +6000,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6036,7 +6068,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6136,7 +6169,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6212,7 +6246,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6378,7 +6413,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6563,7 +6599,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6633,7 +6670,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6817,7 +6855,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -6886,7 +6925,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } &&
- { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { ac_try='test -z "$ac_cxx_werror_flag"
+ || test ! -s conftest.err'
{ (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
@@@@ -7974,6 +8014,7 @@@@ s,@@am__tar@@,$am__tar,;t t
s,@@am__untar@@,$am__untar,;t t
s,@@source_highlightdatadir@@,$source_highlightdatadir,;t t
s,@@source_highlightdocdir@@,$source_highlightdocdir,;t t
+s,@@source_highlightdochtmldir@@,$source_highlightdochtmldir,;t t
s,@@CC@@,$CC,;t t
s,@@CFLAGS@@,$CFLAGS,;t t
s,@@LDFLAGS@@,$LDFLAGS,;t t
@@@@ -8190,6 +8231,11 @@@@ esac
*) ac_INSTALL=$ac_top_builddir$INSTALL ;;
esac
+ if test x"$ac_file" != x-; then
+ { echo "$as_me:$LINENO: creating $ac_file" >&5
+echo "$as_me: creating $ac_file" >&6;}
+ rm -f "$ac_file"
+ fi
# Let's still pretend it is `configure' which instantiates (i.e., don't
# use $as_me), people would be surprised to read:
# /* config.h. Generated by config.status. */
@@@@ -8228,12 +8274,6 @@@@ echo "$as_me: error: cannot find input f
fi;;
esac
done` || { (exit 1); exit 1; }
-
- if test x"$ac_file" != x-; then
- { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
- rm -f "$ac_file"
- fi
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF
sed "$ac_vpsub
@
1.7
log
@Fixed the "==" operator with test(1).
@
text
@d1 1
a1 1
$NetBSD: patch-ad,v 1.6 2006/02/07 16:30:44 joerg Exp $
@
1.6
log
@"foo=bar break" in a for loop assigns foo only for the duration of
break, not in the global scope. This means that the automatic detection
of boost::regex isn't caried into global scope, so fix this. No idea
how this could have ever worked.
@
text
@d1 1
a1 1
$NetBSD$
d3 2
a4 2
--- configure.orig 2005-08-25 14:11:30.000000000 +0000
+++ configure
d94 9
@
1.5
log
@Update to version 2.1.2.
Add build dependencies on GNU make and GNU sed for 'test' target's benefit.
Support for input chroot, via make variable SOURCE_HIGHLIGHT_INPUT_CHROOT,
deactivated otherwise the build is broken.
XXX Is 'TOOLS_PLATFORM.gsed= # empty' the proper way to override a
the platform sed tool ?
Relinquish stewardship.
Changes since last packaged version (1.11):
Version 2.1.2
* fixed conversion of hexadecimal characters in output language
definitions
* fixed compilation error with regex 1.33
* include man page
* fixed a bug with LaTeX output of " with some inputencs
Version 2.1.1
* fixed a bug that sigsegv when more than one input file
is provided
* fixed a compilation error with gcc 4.0
Version 2.1
* Included obsolete man page.
* output language format specifications are read at run-time
so that new output languages can be easily added dynamically
(without recompiling the sources) by using a simple syntax.
* "fixed" and "notfixed" styles can be specified.
* fixed the handling of end-of-line (processed only once)
* LaTeX output
* TeXinfo output
* debug of a language definition
* tags.j2h files are now called style files.
* renamed --tags-file option in --style-file
* allows to specify a prefix for the generated line number anchors
* --header and --footer do not imply --doc
* language definition for LogTalk and LaTeX
Version 2.0
* Language specifications are read at run-time, so that
new languages can be easily added dynamically (without recompiling
the sources) by using a simple syntax.
* "nonsensitive" for simple definitions
* cgi version not built automatically
* failsafe option to simply output the input file when no
language definition is found
* functionalities with less improved.
Version 1.11.1
* fixed compilations problems on some Unix compilers
@
text
@d3 1
a3 1
--- configure.orig 2005-10-09 09:26:55.000000000 +0000
d274 11
a284 1
@@@@ -5467,7 +5493,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
d294 1
a294 1
@@@@ -5742,7 +5769,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d304 1
a304 1
@@@@ -5808,7 +5836,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d314 1
a314 1
@@@@ -5897,7 +5926,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d324 1
a324 1
@@@@ -5969,7 +5999,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d334 1
a334 1
@@@@ -6036,7 +6067,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d344 1
a344 1
@@@@ -6136,7 +6168,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d354 1
a354 1
@@@@ -6212,7 +6245,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
d364 1
a364 1
@@@@ -6378,7 +6412,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
d374 1
a374 1
@@@@ -6563,7 +6598,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d384 1
a384 1
@@@@ -6633,7 +6669,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_c
d394 1
a394 1
@@@@ -6817,7 +6854,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d404 1
a404 1
@@@@ -6886,7 +6924,8 @@@@ if { (eval echo "$as_me:$LINENO: \"$ac_l
d414 1
a414 1
@@@@ -7974,6 +8013,7 @@@@ s,@@am__tar@@,$am__tar,;t t
d422 1
a422 1
@@@@ -8190,6 +8230,11 @@@@ esac
d434 1
a434 1
@@@@ -8228,12 +8273,6 @@@@ echo "$as_me: error: cannot find input f
@
1.4
log
@Update to version 1.10.
Changes since last packaged version:
Version 1.10
* Added scanner for log files (also for iptables and apache logs)
thanks to Jan Tatarik
* Fixed some bugs in the perl scanner (thanks to Geir Nilsen)
* configure checks for ios_base
* check for the right ar to use, fixes problems under Sun compilers
(thanks to Paul Townsend)
@
text
@d3 434
a436 108
--- doc/Makefile.in.orig 2004-08-16 14:10:12.000000000 +0000
+++ doc/Makefile.in
@@@@ -59,11 +59,11 @@@@ CONFIG_CLEAN_FILES = source-highlight.ht
SOURCES =
DIST_SOURCES =
man1dir = $(mandir)/man1
-am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(source_highlightdocdir)"
+am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(source_highlightdochtmldir)"
NROFF = nroff
MANS = $(man_MANS)
-source_highlightdocDATA_INSTALL = $(INSTALL_DATA)
-DATA = $(source_highlightdoc_DATA)
+source_highlightdochtmlDATA_INSTALL = $(INSTALL_DATA)
+DATA = $(source_highlightdochtml_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @@ACLOCAL@@
AMDEP_FALSE = @@AMDEP_FALSE@@
@@@@ -161,6 +161,7 @@@@ sbindir = @@sbindir@@
sharedstatedir = @@sharedstatedir@@
source_highlightdatadir = @@source_highlightdatadir@@
source_highlightdocdir = @@source_highlightdocdir@@
+source_highlightdochtmldir = @@source_highlightdochtmldir@@
sysconfdir = @@sysconfdir@@
target_alias = @@target_alias@@
TAGS_J2H_OPTION = --tags-file $(top_srcdir)/src/tags.j2h
@@@@ -182,7 +183,7 @@@@ EXTRA_DIST = colors.html @@PACKAGE@@.html
header.html footer.html \
startapp.cc.html cmdline.c.html cmdline.h.html
-source_highlightdoc_DATA = colors.html @@PACKAGE@@.html \
+source_highlightdochtml_DATA = colors.html @@PACKAGE@@.html \
Hello.java Hello1.html Hello2.html Hello3.html Hello4.html Hello5.html \
Hello.java.html Hello_h_f.html Hello_lines.html Hello_xhtml.html \
Hello_xhtml2.html \
@@@@ -291,22 +292,22 @@@@ uninstall-man1:
echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
done
-install-source_highlightdocDATA: $(source_highlightdoc_DATA)
+install-source_highlightdochtmlDATA: $(source_highlightdochtml_DATA)
@@$(NORMAL_INSTALL)
- test -z "$(source_highlightdocdir)" || $(mkdir_p) "$(DESTDIR)$(source_highlightdocdir)"
- @@list='$(source_highlightdoc_DATA)'; for p in $$list; do \
+ test -z "$(source_highlightdochtmldir)" || $(mkdir_p) "$(DESTDIR)$(source_highlightdochtmldir)"
+ @@list='$(source_highlightdochtml_DATA)'; for p in $$list; do \
if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
f="`echo $$p | sed -e 's|^.*/||'`"; \
- echo " $(source_highlightdocDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(source_highlightdocdir)/$$f'"; \
- $(source_highlightdocDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(source_highlightdocdir)/$$f"; \
+ echo " $(source_highlightdochtmlDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(source_highlightdochtmldir)/$$f'"; \
+ $(source_highlightdochtmlDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(source_highlightdochtmldir)/$$f"; \
done
-uninstall-source_highlightdocDATA:
+uninstall-source_highlightdochtmlDATA:
@@$(NORMAL_UNINSTALL)
- @@list='$(source_highlightdoc_DATA)'; for p in $$list; do \
+ @@list='$(source_highlightdochtml_DATA)'; for p in $$list; do \
f="`echo $$p | sed -e 's|^.*/||'`"; \
- echo " rm -f '$(DESTDIR)$(source_highlightdocdir)/$$f'"; \
- rm -f "$(DESTDIR)$(source_highlightdocdir)/$$f"; \
+ echo " rm -f '$(DESTDIR)$(source_highlightdochtmldir)/$$f'"; \
+ rm -f "$(DESTDIR)$(source_highlightdochtmldir)/$$f"; \
done
tags: TAGS
TAGS:
@@@@ -346,7 +347,7 @@@@ check-am: all-am
check: check-am
all-am: Makefile $(MANS) $(DATA)
installdirs:
- for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(source_highlightdocdir)"; do \
+ for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(source_highlightdochtmldir)"; do \
test -z "$$dir" || $(mkdir_p) "$$dir"; \
done
install: install-am
@@@@ -392,7 +393,7 @@@@ info: info-am
info-am:
-install-data-am: install-man install-source_highlightdocDATA
+install-data-am: install-man install-source_highlightdochtmlDATA
install-exec-am:
@@@@ -419,7 +420,7 @@@@ ps: ps-am
ps-am:
uninstall-am: uninstall-info-am uninstall-man \
- uninstall-source_highlightdocDATA
+ uninstall-source_highlightdochtmlDATA
uninstall-man: uninstall-man1
@@@@ -427,11 +428,12 @@@@ uninstall-man: uninstall-man1
distclean-generic distdir dvi dvi-am html html-am info info-am \
install install-am install-data install-data-am install-exec \
install-exec-am install-info install-info-am install-man \
- install-man1 install-source_highlightdocDATA install-strip \
+ install-man1 install-source_highlightdochtmlDATA install-strip \
installcheck installcheck-am installdirs maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
pdf-am ps ps-am uninstall uninstall-am uninstall-info-am \
- uninstall-man uninstall-man1 uninstall-source_highlightdocDATA
+ uninstall-man uninstall-man1 \
+ uninstall-source_highlightdochtmlDATA
# note that $(srcdir) actually points to doc dir
@
1.3
log
@Update to version 1.7.
Changes in version 1.7:
* scanner for Ruby programming language (thanks to Noritsugu Nakamura
).
* fixed explicit rules in Makefiles that generated errors with some
versions of non-GNU makes.
@
text
@d3 1
a3 1
--- doc/Makefile.in.orig 2003-06-12 00:36:17.000000000 +0000
d5 16
a20 1
@@@@ -138,6 +138,7 @@@@ sbindir = @@sbindir@@
d27 3
a29 2
@@@@ -168,7 +169,7 @@@@ EXTRA_DIST = colors.html @@PACKAGE@@.html
a31 1
d37 3
a39 27
@@@@ -202,11 +203,13 @@@@ subdir = doc
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = source-highlight.html source-highlight.1
+depcomp =
+am__depfiles_maybe =
DIST_SOURCES =
NROFF = nroff
MANS = $(man_MANS)
-DATA = $(source_highlightdoc_DATA)
+DATA = $(source_highlightdochtml_DATA)
DIST_COMMON = Makefile.am Makefile.in source-highlight.1.in \
source-highlight.html.in
@@@@ -215,7 +218,7 @@@@ all: all-am
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
cd $(top_srcdir) && \
- $(AUTOMAKE) --gnu doc/Makefile
+ $(AUTOMAKE) --foreign --ignore-deps doc/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@@ $(am__depfiles_maybe)
source-highlight.html: $(top_builddir)/config.status source-highlight.html.in
@@@@ -270,23 +273,23 @@@@ uninstall-man1:
echo " rm -f $(DESTDIR)$(man1dir)/$$inst"; \
rm -f $(DESTDIR)$(man1dir)/$$inst; \
a40 1
-source_highlightdocDATA_INSTALL = $(INSTALL_DATA)
a41 1
+source_highlightdochtmlDATA_INSTALL = $(INSTALL_DATA)
d44 1
a44 1
- $(mkinstalldirs) $(DESTDIR)$(source_highlightdocdir)
d46 1
a46 1
+ $(mkinstalldirs) $(DESTDIR)$(source_highlightdochtmldir)
d50 4
a53 4
- echo " $(source_highlightdocDATA_INSTALL) $$d$$p $(DESTDIR)$(source_highlightdocdir)/$$f"; \
- $(source_highlightdocDATA_INSTALL) $$d$$p $(DESTDIR)$(source_highlightdocdir)/$$f; \
+ echo " $(source_highlightdochtmlDATA_INSTALL) $$d$$p $(DESTDIR)$(source_highlightdochtmldir)/$$f"; \
+ $(source_highlightdochtmlDATA_INSTALL) $$d$$p $(DESTDIR)$(source_highlightdochtmldir)/$$f; \
d62 4
a65 4
- echo " rm -f $(DESTDIR)$(source_highlightdocdir)/$$f"; \
- rm -f $(DESTDIR)$(source_highlightdocdir)/$$f; \
+ echo " rm -f $(DESTDIR)$(source_highlightdochtmldir)/$$f"; \
+ rm -f $(DESTDIR)$(source_highlightdochtmldir)/$$f; \
d69 2
a70 1
@@@@ -331,7 +334,7 @@@@ check: check-am
a71 1
d73 4
a76 3
- $(mkinstalldirs) $(DESTDIR)$(man1dir) $(DESTDIR)$(source_highlightdocdir)
+ $(mkinstalldirs) $(DESTDIR)$(man1dir) $(DESTDIR)$(source_highlightdochtmldir)
d78 1
a78 2
install-exec: install-exec-am
@@@@ -374,7 +377,7 @@@@ info: info-am
d87 1
a87 1
@@@@ -401,7 +404,7 @@@@ ps: ps-am
d96 3
a98 3
@@@@ -409,11 +412,12 @@@@ uninstall-man: uninstall-man1
distclean-generic distdir dvi dvi-am info info-am install \
install-am install-data install-data-am install-exec \
@
1.2
log
@Update to 1.6.3
News from version 1.6.1 the latest packaged version:
Version 1.6.3
* Fixed problems in compilation in systems that do not provide
getopt_long and yywrap (reported by Jackie Goodwin
).
* Added .spec file for generating .rpm and .rpm.src (thanks to
Christian W. Zuckschwerdt ).
Version 1.6.2
* compliant to C++ standard headers (iostream etc.), no more
backward compatibility warnings with gcc 3.2 (Thanks to
Maurizio Loreti for the report).
@
text
@d3 1
a3 1
--- doc/Makefile.in.orig 2003-02-09 09:22:52.000000000 +0000
d42 1
a42 1
+ $(AUTOMAKE) --gnu --ignore-deps doc/Makefile
d107 1
a107 1
@@@@ -409,29 +412,30 @@@@ uninstall-man: uninstall-man1
a121 23
startapp.cc.html: $(top_srcdir)/src/startapp.cc
- $(CPP2HTML) --doc $(OUTPUT_HERE) $<
+ $(CPP2HTML) --doc $(OUTPUT_HERE) $(top_srcdir)/src/startapp.cc
ChangeLog.html: $(top_srcdir)/ChangeLog
- $(CHANGELOG2HTML) --doc $(OUTPUT_HERE) $<
+ $(CHANGELOG2HTML) --doc $(OUTPUT_HERE) $(top_srcdir)/ChangeLog
flex_scanner.ll.html: $(top_srcdir)/src/flex_scanner.ll
- $(FLEX2HTML) --doc $(OUTPUT_HERE) $<
+ $(FLEX2HTML) --doc $(OUTPUT_HERE) $(top_srcdir)/src/flex_scanner.ll
cmdline.c.html: $(top_srcdir)/src/lib/cmdline.c
- $(CPP2HTML) --doc $(OUTPUT_HERE) --css="$(srcdir)/cpp2html.css" --header="$(srcdir)/header.html" --footer="$(srcdir)/footer.html" $<
+ $(CPP2HTML) --doc $(OUTPUT_HERE) --css="$(srcdir)/cpp2html.css" --header="$(srcdir)/header.html" --footer="$(srcdir)/footer.html" $(top_srcdir)/src/lib/cmdline.c
cmdline.h.html: $(top_srcdir)/src/lib/cmdline.h
- $(CPP2HTML) --doc $(OUTPUT_HERE) --css="$(srcdir)/mono.css" $<
+ $(CPP2HTML) --doc $(OUTPUT_HERE) --css="$(srcdir)/mono.css" $(top_srcdir)/src/lib/cmdline.h
Hello1.html: $(srcdir)/Hello.java
$(BUILD_HELLO1)
@
1.1
log
@Update to 1.6.1.
Lots of changes and new features: you want to update!
Changes since latest packaged version:
Version 1.6.1
* fixed a bug in the configure phase that used to make the compilation
fail with compilers not providing the function getop_long
(reported by Horacio Montenegro ).
Version 1.6
* scanners for flex and ChangeLog added by John Millaway
* default to stdout when no --output is given along with the -i option
and when --output="STDOUT" (as suggested by Hugh S. Myers,
)
* fixed a problem with string comments in Python scanner
* a separate executable is built, source-highlight-cgi, that can be
used as a CGI program
Version 1.5.1
* xhtml doctype generated correctly (thanks to Christian W. Zuckschwerdt
and Josh Ghiloni ) reported
by Martin Gebert
* Anonymous CVS Access is now available
http://savannah.gnu.org/projects/src-highlite
Version 1.5
* xhtml output format is now handled (thanks to Christian W. Zuckschwerdt
and Josh Ghiloni )
* assert is now recognized as a Java keyword (thanks to Fabio Calefato
)
* a scanner for Python has been written by Martin Gebert
.
* when in Php3 strings can span more than one lines and line numbers are
correctly formatted.
Version 1.4
* fixed compilation error with some compilers due to headers istream.h
and ostream.h (thanks to Dan barthel )
* a scanner for Php3 has been written by Alain Barbet
* reading from stdin does not kill line numbers (notified by Keith
Robertson )
* line number count is correctly reset when handling multiple files (bug
fixed)
* for Java sources, if, while, and other keywords that use '(' ')' are
now correctly highlighted as keywords instead of as functions (reported
by Manuel Kauers and Fabio Calefato
)
* tabs are correctly handled for Prolog and Perl sources (reported by
Martin Gebert )
Version 1.3
* now there is only one program, namely source-highlight, that accepts a
command line option, --src-lang or -s, specifying the source language
(for the moment java, cpp and prolog). Previous programs, java2html
and cpp2html are provided as shell scripts, just for compatibility, but
their use is not advised.
* --out-format, -f, command line option added for specifying the output
format (for the moment only html is accepted). Though only html is
handled, this option is required.
* a scanner for Prolog has been written by Martin Gebert
. This scanner is still to be considered beta,
and actually it was written for Visual Prolog, so it should be tested
against other Prolog dialects.
* a scanner for Perl has been written by Alain Barbet
* Correctly check whether it is possible to write to a file (notified by
Martin)
* --tab option is correctly handled even for C/C++ files (bug fixed,
notified by Martin)
* Added option --line-number (-n) in order to print line numbers (as
suggested by Ed Scott and Andre Charbonneau).
* Man page added.
@
text
@d3 1
a3 1
--- doc/Makefile.in.orig Wed Oct 30 18:22:19 2002
d5 2
a6 2
@@@@ -103,6 +103,7 @@@@ am__quote = @@am__quote@@
install_sh = @@install_sh@@
d10 2
d13 1
a13 3
TAGS_J2H_OPTION = --tags-file $(top_srcdir)/src/tags.j2h
@@@@ -131,7 +132,7 @@@@ EXTRA_DIST = colors.html @@PACKAGE@@.html
d22 7
a28 1
@@@@ -169,7 +170,7 @@@@ DIST_SOURCES =
d37 10
a46 1
@@@@ -229,23 +230,23 @@@@ uninstall-man1:
d80 1
a80 1
@@@@ -281,7 +282,7 @@@@ check: check-am
d89 1
a89 1
@@@@ -324,7 +325,7 @@@@ info: info-am
d98 2
a99 2
@@@@ -343,7 +344,7 @@@@ mostlyclean: mostlyclean-am
mostlyclean-am: mostlyclean-generic
d107 1
a107 1
@@@@ -351,29 +352,29 @@@@ uninstall-man: uninstall-man1
d114 5
a118 4
maintainer-clean-generic mostlyclean mostlyclean-generic \
uninstall uninstall-am uninstall-info-am uninstall-man \
- uninstall-man1 uninstall-source_highlightdocDATA
+ uninstall-man1 uninstall-source_highlightdochtmlDATA
@